﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using WPF_Dialogs;

namespace WPF_Dialogs.Custom_Controls
{
    /// <summary>
    /// Interaction logic for DialogButton.xaml
    /// </summary>
    public partial class DialogButton : Button, IDialog
    {
        /// <summary>
        /// Gets or sets the dialog result. DEFAULT: None
        /// </summary>
        /// <value>The dialog result.</value>
        public EDialogResult DialogResult { get; set; }

        public WPF_Dialogs.Dialogs.FolderBrowseDialog FolderBrowseDialog
        {
            get
            {
                throw new System.NotImplementedException();
            }
            set
            {
            }
        }

        public DialogButton()
        {
            InitializeComponent();
            this.Content = "DialogButton";
            this.DialogResult = EDialogResult.None;
            this.Height = 23;
            this.Width = 75;
        }
    }
}
