﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WPF_Dialogs
{
    /// <summary>
    /// This Interface implements general Dialogfeatures: enum with Dialogresults
    /// </summary>
    public interface IDialog
    {
        EDialogResult DialogResult { get; set; }
    }

    /// <summary>
    /// Represents all possible DialogResults (same as in the System.Windows.Forms-namespace)
    /// </summary>
    public enum EDialogResult : int
    {
        Abort = 1,
        Cancel = 2,
        Ignore = 3,
        No = 4,
        None = 5,
        OK = 6,
        Retry = 7,
        Yes = 8
    }
}
